All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class ForwardedItemListenerList

    com.sas.visuals.ForwardedItemListenerList

All Implemented Interfaces:
  java.io.Serializable

    public final class ForwardedItemListenerList

implements java.io.Serializable

Manage a list of listeners for the com.sas.visuals.ForwardedItemEvent event.

See Also:
  `ForwardedItemEvent`, `ForwardedItemListener`, Serialized Form

Constructor Summary
`ForwardedItemListenerList()`
`ForwardedItemListenerList(int initialIncrement)`

Method Summary
`void` | `add(ForwardedItemListener listener)` Add a listener to the list of listeners.
`int` | `count()`
`ForwardedItemListener[]` | `getListeners()` Return a safe copy of the list of listeners for this event.
`void` | `remove(ForwardedItemListener listener)` Remove a listener from the list of listeners.

Constructor Detail

### ForwardedItemListenerList

    public ForwardedItemListenerList()

### ForwardedItemListenerList

    public ForwardedItemListenerList(int initialIncrement)

Method Detail

### count

    public int count()

### add

    public void add(ForwardedItemListener listener)

  Add a listener to the list of listeners.

  Parameters:
    `listener` - a new listener for the ForwardedItemEvent event

### getListeners

    public ForwardedItemListener[] getListeners()

  Return a safe copy of the list of listeners for this event. the client may iterate over this list and send events to the clients in a thread safe manner; calls to addForwardedItemListener or removeForwardedItemListener may take place but do not affect this copied listener list.

  Returns:
    a safe arry copy of the listener list. The array contains no null items.

### remove

    public void remove(ForwardedItemListener listener)

  Remove a listener from the list of listeners.

  Parameters:
    `listener` - the listener to remove from the list.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.